Get mandate by ID

Retrieves a specific mandate by its ID.

SecurityOAuth2
Request
path Parameters
mandateId
required
string <uuid>

The unique identifier of the mandate.

Responses
200

Successful operation. Returns the mandate.

400

Invalid mandate ID format.

403

Unauthorized access.

404

Mandate not found.

get/v1/mandates/{mandateId}
Request samples
curl -i -X GET \
  'https://toast-api-server/v1/mandates/{mandateId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
Response samples
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  • "paymentMethodId": "b6df8625-cd25-4123-b345-638aa7b5d011",
  • "originalTransactionId": "b11ac1d7-0e90-4b3e-a083-e5c767d08597",
  • "standingInstructionType": "INSTALLMENT",
  • "status": "ACTIVE",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "externalReferenceId": "string"
}